Ask Your Question
0

upgrading Adwaita to use GTK 3.0

asked 2017-05-27 12:50:10 -0600

I'm receiving the following error when trying to run VMWare on Fedora25.

Gtk-WARNING **: Unable to locate theme engine in modulepath: "adwaita", /usr/share/themes/Adwaita/gtk-2.0/hacks.rc:28: error: invalid string constant "normalentry", expected valid string constant Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: cannot open shared object file: No such file or directory Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory

edit retag flag offensive close merge delete

Comments

1

dnf search of the repos I have does not show Adwaita-gtk3 as available. adwaita-gtk2 is all I see.

SteveEbey73701 gravatar imageSteveEbey73701 ( 2017-05-27 15:00:06 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-05-28 05:22:32 -0600

Axel Sommerfeldt gravatar image

updated 2017-05-29 12:28:13 -0600

The "adwaita" stuff is just a warning, not more. The problem is that libpk-gtk-module.so is missing on your system. On fedora 26 the output of "dnf provides */libpk-gtk-module.so" is

PackageKit-gtk3-module-1.1.5-4.fc26.x86_64 : Install fonts automatically using PackageKit
Quelle      : fedora

so I assume installing the package PackageKit-gtk3-module (with "dnf install PackageKit-gtk3-module") will solve this problem on Fedora 25, too.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2017-05-27 12:50:10 -0600

Seen: 753 times

Last updated: May 29 '17